Bug 810601 - [abrt] libreport-gtk-2.0.10-2.fc17: Process /usr/bin/report-gtk was killed by signal 11 (SIGSEGV)
[abrt] libreport-gtk-2.0.10-2.fc17: Process /usr/bin/report-gtk was killed by...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:91cdbf54c5dc4aeba9e9c9a3557...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 22:59 EDT by Chris Ricker
Modified: 2012-10-24 15:26 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 15:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.38 KB, text/plain)
2012-04-06 22:59 EDT, Chris Ricker
no flags Details
File: maps (33.43 KB, text/plain)
2012-04-06 22:59 EDT, Chris Ricker
no flags Details
File: dso_list (6.54 KB, text/plain)
2012-04-06 22:59 EDT, Chris Ricker
no flags Details

  None (edit)
Description Chris Ricker 2012-04-06 22:59:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        report-gtk -- /var/spool/abrt/ccpp-2012-04-06-22:20:28-1725
comment:        tried to report a bug
crash_function: IA__gtk_text_buffer_remove_tag_by_name
executable:     /usr/bin/report-gtk
kernel:         3.3.1-3.fc17.x86_64
pid:            6021
pwd:            /home/rickerc
remote_result:  NOTFOUND
time:           Fri 06 Apr 2012 10:57:33 PM EDT
uid:            1000
username:       rickerc

backtrace:      Text file, 20873 bytes
dso_list:       Text file, 6698 bytes
maps:           Text file, 34237 bytes

build_ids:
:c03bacbe6f25eefdf455852b87a6f28b92d86576
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:f6d72221cbd08cb36bb88823d33deb2024f2bee3
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:c4ec0971b2dcee71aaf8374975474054245fea00
:480ab8eb1776770bb90f2a47cc2f0258848f1cdd
:8a58512c2cc89530f70932553442289158de3083
:fa109822e1dfe3c97963318f0a110695ed11430d
:7716bc5c1738194dad6ec6679d05ae3782139288
:ba411626ac13091abd42b787a74e754ac0188c13
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:ecd8e40d27da8c246884cc2c035f43c93db99bbf
:08deea6f28314f7b1bbba69e81a25b9e48647b5f
:cb561771554f57263ee5c9fe3f49f7279ef278e2
:d2f6b6a2125b0c360462ce6b6b7de8144e351da1
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:ae74f1bdcd89bba7375a344fac1a8ffb3152a26b
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:87712be648d2d43ea4cd002fe7a859df636f1e13
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d
:8f7c190397d7c1f617e66f18f759714662b60367
:253afe744466fe7580bbb6040de6183dba9e2b02
:70f10a584fcf32ef4994cc1bc209964515ad49c9
:10818e21ba84b6897ec8d7ed3db9e94c71a12e41
:fd6500ced2b0f02efe3689d05009499035e1a5c9
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd
:508cf66f72e70054a41215f80ed2385c6bb80030
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:63651cdc0224824a9c9324c77c3b5887378e871d
:46c699031a96a9d188c2bfd2ee67e2e19cf46989
:adb8cce623092da5c6812cf4e20b6f97e3ebd5b1
:2c09a3f87a92231b0acabb79968d235d61c36967
:319cdef60fb38ea411fb398b608189e006d365e7
:822e9b3523e8312240f41a25722d539bc77ed436
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:404cbecd24d186758ed474b345313da28b2990fa
:e40965ed990859627d77c03950e68d4367b48274
:5da8d295014010dcaf44014dbeb291b3026af3e7
:d3619119ad0d25ba83ce046971658a86199deb1c
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:c0802ef9fb9ba4df5ca1d847d35f0276cc5eb5f4
:6251972227c32e7349ac4881ef5c4d9eccaba666
:7c35310fc506498c612d5d982ab03becc4b4817c
:11d196ee9220c6039404f4ba675abf3a24d8f0aa
:f4d479614b09460085428bbe7d53df454d0d39e5
:d804f8ee47797da9213a92f00cd095ecada8d79f
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:8d0b4aa3fb0dfb74ae19be00624de77475a8be1b
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:5ff1c46944f885545e872f1b19b2d15a1ee8f667
:1ae3713cde85e9464ebaec5c8d774e8f57d7f8d4
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:516400711cc3bd73da0013ec0c6c7c1606f89965
:247132297f287226a24c12e683292f5c94013066
:6f2ff4e6a028c4518c441caeb0f433bea79ac545
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/rickerc/2

core_backtrace:
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1f4066 gtk_text_buffer_remove_tag_by_name libgtk-x11-2.0.so.0 -
:6251972227c32e7349ac4881ef5c4d9eccaba666 0x7da7 - [exe] -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14cc3c - libgtk-x11-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0xf644 g_closure_invoke libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x206b8 - libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x28287 g_signal_emit_valist libgobject-2.0.so.0 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x287a2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x27f20e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14aa04 gtk_propagate_event libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14ad6b gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x475bc g_main_context_dispatch libglib-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x479d8 - libglib-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x47dd2 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:6251972227c32e7349ac4881ef5c4d9eccaba666 0x6316 - [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=scratchmonkey.oobleck.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-IPNl6b
:IMSETTINGS_MODULE=none
:USER=rickerc
:USERNAME=rickerc
:MAIL=/var/spool/mail/rickerc
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/rickerc/.local/bin:/home/rickerc/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/rickerc
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1359
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/rickerc
:SHLVL=1
:LOGNAME=rickerc
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oxAMctuNwF,guid=d4c3890bd43101b8f3320a57000002c0
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/rickerc
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-rickerc-FO4OQU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1364,unix/unix:/tmp/.ICE-unix/1364
:SSH_AUTH_SOCK=/tmp/keyring-IPNl6b/ssh
:GPG_AGENT_INFO=/tmp/keyring-IPNl6b/gpg:0:1
:DESKTOP_AUTOSTART_ID=1037b8178a7afe2aed133375010669612000000013640027
:ABRT_VERBOSE=0
:LIBREPORT_PRGNAME=abrt-applet

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63120                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63120                63120                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/rickerc/.xsession-errors
:pos:	6937
:flags:	0102002
:2:/home/rickerc/.xsession-errors
:pos:	6937
:flags:	0102002
:3:socket:[101254]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[102685]
:pos:	0
:flags:	02004002
:6:socket:[101959]
:pos:	0
:flags:	02004002
:7:anon_inode:inotify
:pos:	0
:flags:	02004000
:8:/dev/urandom
:pos:	0
:flags:	02100000
:9:pipe:[103497]
:pos:	0
:flags:	01
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Apr  6 18:23:04 scratchmonkey yum[1857]: Updated: libreport-gtk-2.0.10-2.fc17.x86_64
:Apr  6 22:57:33 scratchmonkey kernel: [18021.186491] report-gtk[6021]: segfault at 18 ip 0000003c273f4066 sp 00007fffff68a970 error 4 in libgtk-x11-2.0.so.0.2400.10[3c27200000+467000]
:Apr  6 22:57:33 scratchmonkey abrt[6295]: Saved core dump of pid 6021 (/usr/bin/report-gtk) to /var/spool/abrt/ccpp-2012-04-06-22:57:33-6021 (31580160 bytes)
Comment 1 Chris Ricker 2012-04-06 22:59:41 EDT
Created attachment 575859 [details]
File: backtrace
Comment 2 Chris Ricker 2012-04-06 22:59:43 EDT
Created attachment 575860 [details]
File: maps
Comment 3 Chris Ricker 2012-04-06 22:59:45 EDT
Created attachment 575861 [details]
File: dso_list
Comment 4 James 2012-05-09 08:05:15 EDT
Was searching for sensitive data in another bug report (at the Review screen).

backtrace_rating: 4
Package: libreport-gtk-2.0.10-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Jakub Filak 2012-10-24 15:26:10 EDT
I believe this problem has been fixed by the recent libreport update. (bug 859422)

Note You need to log in before you can comment on or make changes to this bug.